Package org.bukkit.material

# Class Lever

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SimpleAttachableMaterialData
org.bukkit.material.Lever

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`, `Redstone`

@Deprecated public class Lever extends SimpleAttachableMaterialData implements Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a lever

## Constructor Summary

Constructors
Constructor
Description
`Lever()`
Deprecated.
`Lever(Material type)`
Deprecated.
`Lever(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Lever`
`clone()`
Deprecated.
`BlockFace`
`getAttachedFace()`
Deprecated.
Gets the face that this block is attached on
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction this lever is pointing in
`void`
`setPowered(boolean isPowered)`
Deprecated.
Set this lever to be powered or not.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.SimpleAttachableMaterialData

`getFacing`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Lever

public Lever()
Deprecated.

### Lever

public Lever(Material type)
Deprecated.

### Lever

@Deprecated public Lever(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPowered

public boolean isPowered()
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### setPowered

public void setPowered(boolean isPowered)
Deprecated.
Set this lever to be powered or not.

Parameters:
  `isPowered` - whether the lever should be powered or not

### getAttachedFace

public BlockFace getAttachedFace()
Deprecated.
Gets the face that this block is attached on

Specified by:
  `getAttachedFace` in interface `Attachable`
Returns:
  BlockFace attached to

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Sets the direction this lever is pointing in

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `SimpleAttachableMaterialData`

### clone

public Lever clone()
Deprecated.

Overrides:
  `clone` in class `SimpleAttachableMaterialData`